import { Resource } from "../../services/resource";
export declare const INVALIDATION_DATA_DIR = "/_invalidation_group_data/";
export interface BasicInvalidationUrlGroup {
    regex: string;
    invalidationPath: string;
    maxAccessNumber: number;
}
export interface InvalidationUrlGroup extends BasicInvalidationUrlGroup {
    currentNumber: number;
}
export declare function getGroupS3Key(basicGroup: BasicInvalidationUrlGroup, resource: Resource): string;
export declare function getGroupFilename(basicGroup: BasicInvalidationUrlGroup): string;
export declare function replaceUrlByGroupRegex(group: InvalidationUrlGroup, url: string): string;
export declare function findInvalidationGroup(url: string, basicGroups: BasicInvalidationUrlGroup[] | undefined): BasicInvalidationUrlGroup | null;
